#version 330 core

in vec3 position;
in vec2 uv;

//instancing
in mat4 modelMatrix;

out vec2 texCoord;

uniform mat4 viewProjectionMatrix;

void main()
{
	texCoord = uv;
	gl_Position = (viewProjectionMatrix * modelMatrix) * vec4(position, 1.0);
}
